import { ThemeData } from '../theming.interface';
export declare class Theme {
    private _name;
    private _data?;
    private _parsed;
    constructor(_name: string, _data?: ThemeData);
    get name(): string;
    get data(): Record<string, string>;
    update(data: ThemeData): this;
    protected parseData(data: object, scope?: string | null): any;
    protected getFormattedToken(key: string, scope?: string | null): string;
}
