import type Inputmask from 'inputmask';
export declare type InputMaskOptions<T> = Inputmask.Options & {
    parser?: (value: any) => T;
};
export declare type CurrencyMaskOptions = {
    symbol: string;
    symbolFormat: 'wide' | 'narrow';
    spacer: string;
    digits: number;
    digitsOptional: boolean;
    decimalCharacter: string;
    groupCharacter: string;
};
export declare const enum DateMaskFormat {
    DayMonthYear = 0,
    MonthDayYear = 1,
    YearMonthDay = 2,
    YearDayMonth = 3
}
export declare const createMask: <T>(options: string | InputMaskOptions<T>) => InputMaskOptions<T>;
